<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('price_adjustment_details', function (Blueprint $table) {
            $table->decimal('old_price_2', 10, 2)->nullable()->after('new_selling_price');
            $table->decimal('new_price_2', 10, 2)->nullable()->after('old_price_2');
            $table->decimal('old_price_3', 10, 2)->nullable()->after('new_price_2');
            $table->decimal('new_price_3', 10, 2)->nullable()->after('old_price_3');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('price_adjustment_details', function (Blueprint $table) {
            //
        });
    }
};
